%define base_name	mplayer
%define name		%{base_name}-skins
%define summary		Skins for %{base_name}
%define version		1.3
%define release		8mdk
%define skin_dir	%{_datadir}/%{base_name}/Skin

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Source0:	BlueHeart-1.4.tar.bz2
Source2:	Cyrus-1.0.tar.bz2
Source3:	default-1.7.tar.bz2
Source4:	neutron-1.4.tar.bz2
Source5:	MidnightLove-1.5.tar.bz2
Source6:	plastic-1.1.1.tar.bz2
Source7:	Orange-1.1.tar.bz2
Source8:	Blue-small-1.0.tar.bz2
Source9:	xine-lcd-1.0.tar.bz2
Source10:	phony-1.0.tar.bz2
Source11:	mentalic-1.1.tar.bz2
Source12:	proton-1.1.tar.bz2
Source13:	slim-1.0.tar.bz2
Source14:	krystal-1.0.tar.bz2
Source15:	CubicPlayer-1.0.tar.bz2
Source16:	AlienMind-1.1.tar.bz2
Source17:	CornerMP-1.0.tar.bz2
Source18:	CornerMP-aqua-1.0.tar.bz2
URL:		http://www.mplayerhq.hu
License:	GPL
Group:		Video
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This packages includes following skins:
- Default, by FRD (Viktor Bekesi), the default MPlayer skin 
- Midnight Love, by Gabucino, MPlayer conversion of the nice WinAMP/XMMS skin 
  of Rei Ayanami. 
- BlueHeart, by Gabucino, MPlayer conversion of a BlueHeart XMMS skin. 
- Neutron, by aleczapka (Oliwier Ptak), VERY nice skin! 
- Plastic, by FRD (Viktor Bekesi), remote control-like skin with plastic 
  feeling 
- Cyrus, by Roberto J., Cyrus skin from XMMS 
- Xine-LCD, by Gabucino, MPlayer conversion of Xine's LCD skin
- Phony
- Mentalic, by aleczapka (Oliwier Ptak) 
- Proton, by Pasquale Riccio, silver, shiny
- Slim, by FRD (Viktor Bekesi), small and cute
- Cubic Player, by Gabucino, for other oldtimers
- Alien Mind, by Gabucino, Alien Mind skin from XMMS
- CornerMP, by DC.Park, a WinAMP skin conversion, resides in desktop
  corner
- CornerMP-aqua, by DC.Park, a WinAMP skin conversion, resides in
  desktop corner
- Blue and Blue-small by Franciszek Wilamowski
- Orange by Ognian Vasilev
- krystal by Gary Whitmore, Jr.

%prep
%setup -q -c
%setup -q -c -T -D -a2
%setup -q -c -T -D -a3
%setup -q -c -T -D -a4
%setup -q -c -T -D -a5
%setup -q -c -T -D -a6
%setup -q -c -T -D -a7
%setup -q -c -T -D -a8
%setup -q -c -T -D -a9
%setup -q -c -T -D -a10
%setup -q -c -T -D -a11
%setup -q -c -T -D -a12
%setup -q -c -T -D -a13
%setup -q -c -T -D -a14
%setup -q -c -T -D -a15
%setup -q -c -T -D -a16
%setup -q -c -T -D -a17
%setup -q -c -T -D -a18
# correct perm problems
chmod -R go=u-w *
mv default old-default

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 ${RPM_BUILD_ROOT}%{skin_dir}
cp -r * ${RPM_BUILD_ROOT}%{skin_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{skin_dir}/*

%changelog
* Fri Jan 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-8mdk
- rename default as old-default
- remove Blue skin (moved to mplayer-gui)

* Mon Aug 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3-7mdk
- update description
- remove WindowsMediaPlayer and netscape4
- add Orange and krystal

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3-6mdk
- replace some skins, update others

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-5mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.3-4mdk
- rebuild

* Sat Jul 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.3-3mdk
- fixed perms and line too long

* Sat Jul 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.3-2mdk
- first official mdk release

* Wed May 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.3-1plf
- versioned all sources (it was a bit difficult to track elsewhere)
- updated description
- new skins: netscape4, CubicPlayer, AlienMind, CornerMP, CornerMP-aqua

* Sun Feb 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1plf
- updated description
- updated skins: xine-lcd 1.0, WindowsMediaPlayer6 1.2, neutron 1.3
- new skins: slim, proton

* Wed Jan 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.1-1plf 
- new plf extension

* Thu Jan 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.1-1mdk
- new skins: Xine-LCD, Phony, Mentalic
- updated skins: Default, Midnigh Love, avifile, BlueHeart, Xanim, Plastic
- removed versions from description

* Fri Nov 30 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0-3mdk
- fix typo in install command
- make tar quiet

* Thu Nov 29 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.0-2mdk
- moved files location to %{skin_dir}
- corrected perm problems

* Wed Nov 28 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.0-1mdk
- first PLF release
